# Confirm your mobile number

Source: https://docs.vlayers.ai/reference/conversations/confirm-my-mobile

`POST /v1/members/me/mobile/confirm` · scope `workspace:write`

Confirms the number with the code that was texted to it (valid 15 minutes, five tries). Once confirmed, the same alerts your workspace sends by email to its Admins are sent to you by text as well.

Requires an API key with the `workspace:write` scope.

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `code` | body | string | yes | The six digits that were texted to you. |

## Request

cURL:

```bash
curl -X POST https://api.vlayers.ai/v1/members/me/mobile/confirm \
  -H "Authorization: Bearer $VOICELAYER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "code": "123456"
  }'
```

TypeScript:

```ts
import { VoiceLayer } from '@voicelayer/api';

const voicelayer = new VoiceLayer();

const { status } = await voicelayer.conversations.confirmMyMobile({ code: '123456' });
console.log(status);
```

Python:

```python
from voicelayer import VoiceLayer

vl = VoiceLayer()

result = vl.conversations.confirm_my_mobile(code="123456")
print(result.status)
```

## Response `200`

```json
{
  "status": "confirmed",
  "last4": "0142",
  "textsUnavailable": null,
  "alertTextsPerDay": 20
}
```
